Bullet Collision Detection & Physics Library: btCollisionWorld::ConvexResultCallback Struct Reference

Bullet Collision Detection & Physics Library

Public Member Functions | Public Attributes | List of all members
btCollisionWorld::ConvexResultCallback Struct Referenceabstract

RayResultCallback is used to report new raycast results. More...

`#include <btCollisionWorld.h>`

Inheritance diagram for btCollisionWorld::ConvexResultCallback:
[legend]

## Public Member Functions
| ConvexResultCallback ()
virtual | ~ConvexResultCallback ()
bool | hasHit () const
virtual bool | needsCollision (btBroadphaseProxy *proxy0) const
virtual btScalar | addSingleResult (LocalConvexResult &convexResult, bool normalInWorldSpace)=0

## Public Attributes
btScalar | m_closestHitFraction
short int | m_collisionFilterGroup
short int | m_collisionFilterMask

## Detailed Description

RayResultCallback is used to report new raycast results.

Definition at line 340 of file btCollisionWorld.h.

## Constructor & Destructor Documentation

## § ConvexResultCallback()

btCollisionWorld::ConvexResultCallback::ConvexResultCallback | ( |  | ) |
| inline

Definition at line 346 of file btCollisionWorld.h.

## § ~ConvexResultCallback()

virtual btCollisionWorld::ConvexResultCallback::~ConvexResultCallback | ( |  | ) |
| inlinevirtual

Definition at line 353 of file btCollisionWorld.h.

## Member Function Documentation

## § addSingleResult()

virtual btScalar btCollisionWorld::ConvexResultCallback::addSingleResult | ( | LocalConvexResult & | convexResult,
|  | bool | normalInWorldSpace
| ) |  |
| pure virtual

Implemented in btClosestNotMeConvexResultCallback, btCollisionWorld::ClosestConvexResultCallback, and btKinematicClosestNotMeConvexResultCallback.

## § hasHit()

bool btCollisionWorld::ConvexResultCallback::hasHit | ( |  | ) | const
| inline

Definition at line 357 of file btCollisionWorld.h.

## § needsCollision()

virtual bool btCollisionWorld::ConvexResultCallback::needsCollision | ( | btBroadphaseProxy * | proxy0 | ) | const
| inlinevirtual

Reimplemented in btClosestNotMeConvexResultCallback.

Definition at line 364 of file btCollisionWorld.h.

## Member Data Documentation

## § m_closestHitFraction

btScalar btCollisionWorld::ConvexResultCallback::m_closestHitFraction

Definition at line 342 of file btCollisionWorld.h.

## § m_collisionFilterGroup

short int btCollisionWorld::ConvexResultCallback::m_collisionFilterGroup

Definition at line 343 of file btCollisionWorld.h.

## § m_collisionFilterMask

short int btCollisionWorld::ConvexResultCallback::m_collisionFilterMask

Definition at line 344 of file btCollisionWorld.h.

The documentation for this struct was generated from the following file:

- btCollisionWorld.h